-- | Earley-style TAG parsing based on automata, with a distinction
-- between active and passive items.


module NLP.Partage.Earley
(
-- * Earley-style parsing
-- $earley
  recognize
, recognizeFrom
, parse
, earley
-- ** With automata precompiled
, recognizeAuto
, recognizeFromAuto
, parseAuto
, earleyAuto

-- * Parsing trace (hypergraph)
, Hype
-- ** Extracting parsed trees
, parsedTrees
-- ** Stats
, hyperNodesNum
, hyperEdgesNum
-- ** Printing
, printHype

-- * Sentence position
, Pos
) where


import           NLP.Partage.Earley.AutoAP

{- $earley
  All the parsing functions described below employ the
  "NLP.Partage.Auto.DAWG" grammar representation.
  You can also pre-compile your own automaton and use it with
  e.g. `parseAuto`.
-}
